Package tigase.eventbus.component.stores

# Enum Class Affiliation

java.lang.Object
java.lang.Enum<Affiliation>
tigase.eventbus.component.stores.Affiliation

All Implemented Interfaces:
  `Serializable`, `Comparable<Affiliation>`, `Constable`

public enum Affiliation extends Enum<Affiliation>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `member`
  `none`
  `outcast`
  An entity that is disallowed from subscribing or publishing to a node.
  `owner`
  The manager of a node, of which there may be more than one; often but not necessarily the node creator.
  `publisher`
  An entity that is allowed to publish items to a node.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getWeight()`
  `boolean`
  `isConfigureNode()`
  `boolean`
  `isDeleteItem()`
  `boolean`
  `isDeleteNode()`
  `boolean`
  `isPublishItem()`
  `boolean`
  `isPurgeNode()`
  `boolean`
  `isRetrieveItem()`
  `boolean`
  `isSubscribe()`
  `static Affiliation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Affiliation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### member

    public static final Affiliation member

  - ### none

    public static final Affiliation none

  - ### outcast

    public static final Affiliation outcast
    An entity that is disallowed from subscribing or publishing to a node.

  - ### owner

    public static final Affiliation owner
    The manager of a node, of which there may be more than one; often but not necessarily the node creator.

  - ### publisher

    public static final Affiliation publisher
    An entity that is allowed to publish items to a node.

- ## Method Details

  - ### values

    public static Affiliation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Affiliation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getWeight

    public int getWeight()

  - ### isConfigureNode

    public boolean isConfigureNode()

  - ### isDeleteItem

    public boolean isDeleteItem()

  - ### isDeleteNode

    public boolean isDeleteNode()

  - ### isPublishItem

    public boolean isPublishItem()

  - ### isPurgeNode

    public boolean isPurgeNode()

  - ### isRetrieveItem

    public boolean isRetrieveItem()

  - ### isSubscribe

    public boolean isSubscribe()